> For the complete documentation index, see [llms.txt](https://docs.raydius-research.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.raydius-research.com/core-concepts/raydius-sdk/social-login-sdk/raydius-react-sdk/using-the-useraydius-hook.md).

# Using the useRaydius Hook

Once you've wrapped your app with the RaydiusProvider , you can now use the Raydius SDK throughout your components and pages via the useRaydius hook!

Example:

```typescript
import React from 'react'
import { useRaydius } from '@raydius/react'

export default function Home() {
  const {
    login,
    authenticated,
    userAccount,
    logout,
    linkWallet,
    unlinkWallet,
    linkGoogle,
    unlinkGoogle,
  } = useRaydius()

  const { wallets, socials } = userAccount

  if (!authenticated) {
    return (
      <button onClick={login}>login</button>
    )
  }

  return (
    <div>
      <button onClick={logout}>logout</button>
      <button onClick={linkWallet}>linkWallet</button>
      <button onClick={linkGoogle}>linkGoogle</button>
    </div>
  )
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.raydius-research.com/core-concepts/raydius-sdk/social-login-sdk/raydius-react-sdk/using-the-useraydius-hook.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
